Qt 5.9 | Qt 3D | C++ Classes | QClipAnimator

Qt 5.9.9 Reference Documentation

# QClipAnimator Class

(Qt3DAnimation::QClipAnimator)

QClipAnimator is a component providing simple animation playback capabilities. More...

Header: | #include <QClipAnimator>
qmake: | QT += 3danimation
Since: | Qt 5.9
Instantiated By: | ClipAnimator
Inherits: | Qt3DAnimation::QAbstractClipAnimator

- List of all members, including inherited members

## Properties

- clip : Qt3DAnimation::QAbstractAnimationClip *

- 3 properties inherited from Qt3DAnimation::QAbstractClipAnimator
- 1 property inherited from Qt3DCore::QComponent
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QClipAnimator(Qt3DCore::QNode *parent = nullptr)
| ~QClipAnimator()
Qt3DAnimation::QAbstractAnimationClip * | clip() const

- 3 public functions inherited from Qt3DAnimation::QAbstractClipAnimator
- 2 public functions inherited from Qt3DCore::QComponent
- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setClip(Qt3DAnimation::QAbstractAnimationClip *clip)

- 5 public slots inherited from Qt3DAnimation::QAbstractClipAnimator
- 1 public slot inherited from Qt3DCore::QComponent
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | clipChanged(Qt3DAnimation::QAbstractAnimationClip *clip)

- 3 signals inherited from Qt3DAnimation::QAbstractClipAnimator
- 3 signals inherited from Qt3DCore::QComponent
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

QClipAnimator is a component providing simple animation playback capabilities.

An instance of QClipAnimator can be aggregated by a QEntity to add the ability to play back animation clips and to apply the calculated animation values to properties of QObjects.

The animation key frame data is provided via the clip property. This can be created programmatically with QAnimationClip or loaded from file with QAnimationClipLoader.

In order to apply the values played back from the channels of data in the animation clip, the clip animator needs to have a QChannelMapper object assigned to the channelMapper property.

The properties for controlling the animator are provided by the QAbstractClipAnimator base class.

See also QAbstractClipAnimator, QAbstractAnimationClip, QChannelMapper, and QBlendedClipAnimator.

## Property Documentation

### clip : Qt3DAnimation::QAbstractAnimationClip *

This property holds the animation clip which contains the key frame data to be played back. The key frame data can be specified in either a QAnimationClip or QAnimationClipLoader.

Access functions:

Qt3DAnimation::QAbstractAnimationClip * | clip() const
void | setClip(Qt3DAnimation::QAbstractAnimationClip *clip)

Notifier signal:

void | clipChanged(Qt3DAnimation::QAbstractAnimationClip *clip)

## Member Function Documentation

### QClipAnimator::QClipAnimator(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QClipAnimator.

### QClipAnimator::~QClipAnimator()

Destroys the instance of QClipAnimator.